# SourcePath: iputils/20130516dev
Summary: The ping program for checking to see if network hosts are alive.
Name: sony-target-dev-iputils
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-iputils
Version: s20070202
Release: 08000102
License: GPL2 / BSD / Other
URL: http://www.skbuff.net/iputils/
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Source: iputils-s20070202.tar.bz2
Patch1: iputils-makefile.patch
Patch2: iputils-s20070202-kernel-2.6.23.patch
Patch3: iputils-s20070202-CVE-2010-2529.patch
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%define targetroot %{sony_target_dir}

%description
The iputils package contains ping, a basic networking tool.  The ping
command sends a series of ICMP protocol ECHO_REQUEST packets to a
specified network host and can tell you if that machine is alive and
receiving network traffic.

%package -n %{pkgname}
Summary: The ping program for checking to see if network hosts are alive.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The iputils package contains ping, a basic networking tool.  The ping
command sends a series of ICMP protocol ECHO_REQUEST packets to a
specified network host and can tell you if that machine is alive and
receiving network traffic.

%prep
%setup -n iputils-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p0

%build
%sony_target_dev_setup
make

%install
%sony_target_dev_setup
rm -rf %{buildroot}

mkdir -p %{buildroot}%{targetroot}%{sony_target_dev_bin_dir}

install ping %{buildroot}%{targetroot}%{sony_target_dev_bin_dir}
install ping6 %{buildroot}%{targetroot}%{sony_target_dev_bin_dir}

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root,-)
%attr(4755,root,root) %{targetroot}%{sony_target_dev_bin_dir}/ping
%attr(4755,root,root) %{targetroot}%{sony_target_dev_bin_dir}/ping6

%changelog
* Mon Mar 10 2014 Sony Corporation
- Add CVE-2010-2529 fix patches

* Tue Jul 13 2010 Sony Corporation
- Removed CE-3.X, CE-4.X, CE-5.0, CE6.0 support for main trunk

* Thu Mar 13 2008 Sony Corporation
- CE-5.X: Added Kernel 2.6.23 open_max patch

* Tue Jul 24 2007 Sony Corporation - dev-iputils
- Initial build.
